Here’s how Apple is protecting you from outdated versions of Flash Player

Apple Disables Outdated Flash Player

As if Apple hadn’t made a strong enough case against Flash already, Adobe announced this week that a security vulnerability had been discovered in the most recent version of Flash Player. Adobe quickly addressed the issue, but Apple took safety measures a step further by adding any version of Adobe Flash Player version below 14.0.0.145 (and 13.0.0.231 on older machines) to its plugin blacklist.

If you reach a page with a Flash plugin while browsing with an older version of the player, a message will appear on your screen with the warning “Blocked plug-in,” “Flash Security Alert” or “Flash out-of-date” in Safari. If you click the indicator, an alert will pop up. Once it does, follow these steps to make sure you’re updated to the latest version of Flash Player:

  1. Click the Download Flash button.
  2. Safari opens Adobe Flash Player installer page on the Adobe website.
  3. Click the Download now button on the Adobe website to download the latest Adobe Flash Player installer.
  4. After the download completes, open the downloaded disk image (usually located in your Downloads folder) if it does not open automatically.
  5. In the window that appears, open the installer and follow the onscreen instructions.

If, for any reason, you need to enable an older version of Flash Player, you can use plugin management in Safari to set specific websites to “Run in Unsafe Mode.”

Via:
9to5Mac
Source:
Apple Support
View Comments